Upcoming calendar events
curl --request GET \
--url https://api.supernormal.com/api/v1/user/calendar_events \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.supernormal.com/api/v1/user/calendar_events"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.supernormal.com/api/v1/user/calendar_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.supernormal.com/api/v1/user/calendar_events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.supernormal.com/api/v1/user/calendar_events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.supernormal.com/api/v1/user/calendar_events")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.supernormal.com/api/v1/user/calendar_events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"post_id": "<string>",
"is_recurring": true,
"is_blocked_from_capture": true,
"start": "<string>",
"end": "<string>",
"platform_name": "google_meet",
"scheduled_to_record": true
}
]Current User
Upcoming calendar events
GET
/
user
/
calendar_events
Upcoming calendar events
curl --request GET \
--url https://api.supernormal.com/api/v1/user/calendar_events \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.supernormal.com/api/v1/user/calendar_events"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.supernormal.com/api/v1/user/calendar_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.supernormal.com/api/v1/user/calendar_events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.supernormal.com/api/v1/user/calendar_events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.supernormal.com/api/v1/user/calendar_events")
.header("X-API-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.supernormal.com/api/v1/user/calendar_events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"post_id": "<string>",
"is_recurring": true,
"is_blocked_from_capture": true,
"start": "<string>",
"end": "<string>",
"platform_name": "google_meet",
"scheduled_to_record": true
}
]Authorizations
Query Parameters
The start date of the calendar events in ISO 8601 format
The end date of the calendar events in ISO 8601 format
Response
200 - application/json
Calendar events response
The calendar event’s ID
The calendar event’s name
The calendar event’s URL
The calendar event’s post ID
Whether the calendar event is recurring
Whether the calendar event is blocked from capture
The calendar event’s start time
The calendar event’s end time
The calendar event’s platform name
Available options:
google_meet, teams, zoom Whether the calendar event is scheduled to record